Upgrade Instance
curl --request PUT \
--url https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"image": "registry.example.com/namespace/new-image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"save_data": true
}
'import requests
url = "https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade"
payload = {
"image": "registry.example.com/namespace/new-image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"save_data": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
image: 'registry.example.com/namespace/new-image:tag',
registry_auth_id: 'registry-auth-id',
entrypoint: '',
command: '',
envs: [{key: 'ENV_NAME', value: 'ENV_VALUE'}],
save_data: true
})
};
fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Instance
Upgrade Instance
PUT
/
gpus
/
v2
/
instances
/
{instance_id}
/
upgrade
Upgrade Instance
Headers
Allowed value: application/json.
Bearer authentication format, e.g.: Bearer {{API_KEY}}.
Path Parameters
Instance ID. String, length: 1-255 characters.
Body
application/json
Image address. String, length: 1-500 characters.
Example:
"registry.example.com/namespace/new-image:tag"
Saved registry authentication ID. String, length: 0-255 characters.
Example:
"registry-auth-id"
Container entrypoint.
Example:
""
Container startup command.
Example:
""
Environment variable list.
Show child attributes
Show child attributes
Whether to keep existing data when upgrading or resetting the instance.
Example:
true
Response
200 - application/json
OK
The response is of type object.
Last modified on June 26, 2026
Was this page helpful?
⌘I